		underscores_in_headers on;
		access_log /var/log/plesk/httpsd_access_log main buffer=8k;

		index index.php;
		root /opt/psa/admin/htdocs;

# Some rewrites
		rewrite ^/sso/ui$ /sso/ui.php last;
		rewrite ^/sso/users$ /sso/users.php last;
		rewrite ^/sso/signout$ /sso/signout.php last;

# phpMyAdmin security
		location ~ ^/domains/databases/phpMyAdmin/(libraries|templates)(.*) {
			deny all;
		}

# phpMyAdmin shortcut
		location ~* ^/phpMyAdmin(.*) {
			return 301 /domains/databases/phpMyAdmin$1;
		}

# Admin panel
		location /admin {
			alias /opt/psa/admin/application/admin/public;
			try_files $uri @route;
		}

# SMB panel
		location /smb {
			alias /opt/psa/admin/application/smb/public;
			try_files $uri @route;
		}

		location @route {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param PATH_INFO $fastcgi_path_info;
			fastcgi_param SCRIPT_FILENAME /opt/psa/admin/htdocs/application.php;
			fastcgi_param HTTP_PRAGMA $http_pragma;
		}

# Plesk service
		location ~* ^/services/([^/]+) {
			set $service_name $1;
			alias /opt/psa/admin/services/$service_name/public;
			try_files $uri @service;
		}

		location @service {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param PATH_INFO $fastcgi_path_info;
			fastcgi_param SCRIPT_FILENAME /opt/psa/admin/services/$service_name/public/index.php;
		}

# Plesk (old screens)
		location /plesk {
			try_files $uri /plesk.php?$args;
		}

# Custom skins
		location ~ ^/theme-skins {
			deny all;
			location ~ "\.(css|gif|png|jpg|jpeg|xml|woff|woff2)$" {
				allow all;
				try_files $uri @default-skin;
			}
		}

		location @default-skin {
			rewrite ^/theme-skins/[^/]+/(.*)$ /theme/$1 last;
		}

# For backup download via X-Accel-Redirect
		location /tmp/ {
			internal;
			alias /tmp/;
		}

# Backward compatiblity for old URLs
		rewrite (login|login_up|logout)\.php3(/|$) /$1.php$2 last;

# New modern
        rewrite login/?$ /login_up.php last;

		location ~* \.php(/|$) {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		}
