<script type="text/javascript">
//<![CDATA[
    Jsw.namespace('Admin.UISwitcher');
    Admin.UISwitcher = {

        _autoAim: true,

        UIModeRecommended: function (id, hint) {
            if (!{ALLOW_SERVICE_PROVIDER_VIEW}) {
                $('view-power-user').checked = true;
                return;
            }

            $('uimodes').show();
            $('uimodes-hint').show();
            $('power-user-recommended').hide();
            $('service-provider-recommended').hide();

            if (id == 'other') {
                $('usage-other-name').writeAttribute('disabled', null);
            } else {
                $('usage-other-name').writeAttribute('disabled', 'disabled');
            }

            if (id == 'power-user' || id == 'service-provider') {
                $( id + '-recommended').update( hint );
                $( id + '-recommended').show();
            }

            if (this._autoAim) {
                if (id && $('view-' + id)) {
                    $('view-' + id).checked = true;
                } else {
                    $('view-power-user').checked = false;
                    $('view-service-provider').checked = false;
                }
            }
            Admin.UISwitcher.OnViewChange();
        },

        TurnOffAutoAim: function() {
            this._autoAim = false;
        },

        OnViewChange: function() {
            $("view-simple").disabled = !$("view-power-user").checked;
        }
    };
    Jsw.onReady(function() {
        $('usage-hosting').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('service-provider', '{USAGE_HOSTING_RECOMMENDED}');
        });
        $('usage-corporate').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('power-user', '{USAGE_CORPORATE_RECOMMENDED}');
        });
        $('usage-personal').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('power-user', '{USAGE_PERSONAL_RECOMMENDED}');
        });
        $('usage-academic').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('power-user', '{USAGE_ACADEMIC_RECOMMENDED}');
        });
        $('usage-designers').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended();
        });
        $('usage-gaming').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('power-user', '{USAGE_GAMING_RECOMMENDED}');
        });
        $('usage-other').observe('click', function(event) {
            Admin.UISwitcher.UIModeRecommended('other');
        });
        $('view-power-user').observe('click', function(event) {
            Admin.UISwitcher.TurnOffAutoAim();
            Admin.UISwitcher.OnViewChange();
        });
        $('view-service-provider').observe('click', function(event) {
            Admin.UISwitcher.TurnOffAutoAim();
            Admin.UISwitcher.OnViewChange();
        });
        Admin.UISwitcher.OnViewChange();
    });
//]]>
</script>

{WARNINGS1}

<fieldset>
<legend>{LEGEND}</legend>
<table width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>
<p>{DESCRIPTION}</p>

<table class="formFields" cellspacing="0" width="100%">
<tr {USAGE_ERROR}>
    <td class="name">{BUSINESS_TYPE_TITLE} <span class="required">*</span></td>
    <td>
        <div class="indent-box">
            <input type="radio" value="corporate" id="usage-corporate" class="radiobox" name="usage" {USAGE_CORPORATE_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-corporate">{USAGE_CORPORATE}</label>
                <p class="hint">{USAGE_CORPORATE_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="personal" id="usage-personal" class="radiobox" name="usage" {USAGE_PERSONAL_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-personal">{USAGE_PERSONAL}</label>
                <p class="hint">{USAGE_PERSONAL_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="academic" id="usage-academic" class="radiobox" name="usage" {USAGE_ACADEMIC_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-academic">{USAGE_ACADEMIC}</label>
                <p class="hint">{USAGE_ACADEMIC_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="hosting" id="usage-hosting" class="radiobox" name="usage" {USAGE_HOSTING_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-hosting">{USAGE_HOSTING}</label>
                <p class="hint">{USAGE_HOSTING_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="designers" id="usage-designers" class="radiobox" name="usage" {USAGE_DESIGNERS_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-designers">{USAGE_DESIGNERS}</label>
                <p class="hint">{USAGE_DESIGNERS_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="gaming" id="usage-gaming" class="radiobox" name="usage" {USAGE_GAMING_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-gaming">{USAGE_GAMING}</label>
                <p class="hint">{USAGE_GAMING_HINT}</p>
            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="other" id="usage-other" class="radiobox" name="usage" {USAGE_OTHER_CHECKED}>
            <div class="indent-box-content">
                <label for="usage-other">{USAGE_OTHER}</label>
                <p class="hint">
                    <input type="text" name="usage-other-name" id="usage-other-name" value="{USAGE_OTHER_NAME}" class="input-text" maxlength="{USAGE_OTHER_MAXLENGTH}" {USAGE_OTHER_NAME_DISABLED}>
                </p>
            </div>
        </div>
    </td>
</tr>

<tr id="uimodes"{UIMODES_HIDDEN} {UIMODES_ERROR}>
	<td class="name" rowspan="2">{UIMODES_TITLE} <span class="required">*</span></td>
	<td>
        <div class="indent-box">
            <input type="radio" value="view-power-user" id="view-power-user" class="radiobox" name="view">
            <div class="indent-box-content">
                <label for="view-power-user">{POWER_USER_MODE_TEXT}</label>
                <div class="indent-box indent-box-thumb">
                    <a onclick="window.open('/images/power-user-view-screenshot.png', 'PowerUserView', 'width=1140,height=756,menubar=yes,status=yes')" href="javascript:void(0)">
                        <img src="/images/power-user-view-thumb.png" alt="{POWER_USER_MODE_TEXT}" class="thumb-img">
                    </a>
                    <div class="indent-box-content">
                        <p class="hint">{POWER_USER_MODE_HINT}</p>
                        <p id="power-user-recommended" class="recommended" style="display:none"></p>
                    </div>
                </div>

<!-- BEGIN DYNAMIC BLOCK: can_manage_custom_view -->
                <div class="indent-box">
                    <input type="checkbox" id="view-simple" class="checkbox" name="view-simple" value="true">
                    <div class="indent-box-content">
                        <label for="view-simple">{SIMPLE_MODE_TEXT}</label>
                        <p class="hint">{SIMPLE_MODE_HINT}</p>
                    </div>
                </div>
<!-- END DYNAMIC BLOCK: can_manage_custom_view -->

            </div>
        </div>
        <div class="indent-box">
            <input type="radio" value="view-service-provider" id="view-service-provider" class="radiobox" name="view">
            <div class="indent-box-content">
                <label for="view-service-provider">{SERVICE_PROVIDER_MODE_TEXT}</label>
                <div class="indent-box indent-box-thumb">
                    <a onclick="window.open('/images/service-provider-view-screenshot.png', 'ServiceProviderView', 'width=1140,height=756,menubar=yes,status=yes')" href="javascript:void(0)">
                        <img src="/images/service-provider-view-thumb.png" alt="{SERVICE_PROVIDER_MODE_TEXT}" class="thumb-img">
                    </a>
                    <div class="indent-box-content">
                        <p class="hint">{SERVICE_PROVIDER_MODE_HINT}</p>
                        <p id="service-provider-recommended" class="recommended" style="display:none"></p>
                    </div>
                </div>
            </div>
        </div>
    </td>
</tr>

</table>

</td></tr></table>
</fieldset>
<p id="uimodes-hint" style="display: none;">{HINT}</p>
